import { PRPLAttributes, PRPLFileSystemTree, PRPLInterpolateOptions } from '../types/prpl.js';
/**
 * Interpolate content into an inline HTML fragment.
 */
declare function interpolateList(args: {
    srcTree: PRPLFileSystemTree;
    contentDir: string;
    attrs: PRPLAttributes;
    options?: PRPLInterpolateOptions;
}): Promise<string>;
export { interpolateList };
