import { PRPLFileSystemTree } from '../types/prpl.js';
export interface PRPLGenerateFileSystemTreeArgs {
    entityPath: string;
    readFileRegExp?: RegExp;
}
/**
 * Generate a recursive file system tree.
 */
declare function generateFileSystemTree(args: PRPLGenerateFileSystemTreeArgs): Promise<PRPLFileSystemTree>;
export { generateFileSystemTree };
