import AWS from 'aws-sdk';
import { PRPLPluginAWSKeys } from '../index.js';
/**
 * Initialize AWS and S3 prior to other operations.
 * @param {PRPLPluginAWSKeys} keys
 * @returns {Promise<S3>}
 */
declare function initS3(keys: PRPLPluginAWSKeys): Promise<AWS.S3>;
export { initS3 };
