import { PRPLCacheManager, PRPLCachePartitionKey } from '@prpl/core';
/**
 * Create a new cache partition.
 */
declare function createCachePartition({ entityPath, partitionKey, readFileRegExp }: {
    entityPath: string;
    partitionKey: PRPLCachePartitionKey | string;
    readFileRegExp: RegExp | any;
}): Promise<PRPLCacheManager['cache']>;
export { createCachePartition };
