import { PRPLCacheManager, PRPLCachePartitionKey } from '@prpl/core';
/**
 * Generate a sitemap.
 */
declare function generateSitemap(args: {
    origin: string;
    ignoreDirRegex?: RegExp;
    cachePartitionKey?: PRPLCachePartitionKey | string;
}): Promise<PRPLCacheManager['cache']>;
export { generateSitemap };
