import { PRPLAttributes, PRPLFileSystemTree, PRPLInterpolateOptions } from '../types/prpl.js';
/**
 * Create new pages using the source file template and content files.
 */
declare function interpolatePage(args: {
    srcTree: PRPLFileSystemTree;
    contentDir: string;
    attrs: PRPLAttributes[];
    options?: PRPLInterpolateOptions;
}): Promise<void>;
export { interpolatePage };
