import { PRPLGenerateFileSystemTreeArgs } from './generate-fs-tree.js';
import { PRPLFileSystemTree, PRPLCachePartitionKey } from '../types/prpl.js';
interface PRPLRetrieveOrGenerateFileSystemTreeArgs extends PRPLGenerateFileSystemTreeArgs {
    partitionKey: PRPLCachePartitionKey | string;
}
/**
 * Retrieve a cached file system tree or generate and cache a new one.
 */
declare function generateOrRetrieveFileSystemTree(args: PRPLRetrieveOrGenerateFileSystemTreeArgs): Promise<PRPLFileSystemTree>;
export { generateOrRetrieveFileSystemTree };
