import { PRPLPluginAWSKeys } from './index.js';
/**
 * Fetch files from an S3 bucket and write to the local file system.
 * @param {PRPLPluginAWSKeys} keys
 * @param {string} targetDir
 * @returns {Promise<void>}
 */
declare function fetchFromS3(keys: PRPLPluginAWSKeys, targetDir?: string): Promise<void>;
export { fetchFromS3 };
