import { PRPLPluginAWSKeys, PRPLPluginAWSUploadFile } from './index.js';
/**
 * Upload file(s) to an S3 bucket.
 * @param {PRPLPluginAWSKeys} keys
 * @param {PRPLPluginAWSUploadFile[]} files
 * @returns {Promise<void>}
 */
declare function uploadToS3(keys: PRPLPluginAWSKeys, files: PRPLPluginAWSUploadFile[]): Promise<void>;
export { uploadToS3 };
