import { PRPLCacheManager } from '@prpl/core';
/**
 * Generate an RSS feed from items in a directory.
 */
declare function generateRSSFeed(args: {
    dir: string;
    feedTitle: string;
    author: string;
    origin: string;
    iconFilePath?: string;
}): Promise<PRPLCacheManager['cache']>;
export { generateRSSFeed };
